Bug 10731 - IntranetSlipPrinterJS is not working for hold slips
Summary: IntranetSlipPrinterJS is not working for hold slips
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-14 18:25 UTC by Kyle M Hall
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips (1.60 KB, patch)
2013-08-14 18:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips [3.10.x] (1.30 KB, patch)
2013-08-14 18:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips [v3.10/v3.12] (1.31 KB, patch)
2013-08-14 18:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10731 - IntranetSlipPrinterJS is not working for hold slips (1.70 KB, patch)
2013-08-28 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10731 - IntranetSlipPrinterJS is not working for hold slips [v3.10/v3.12] (1.44 KB, patch)
2013-08-28 13:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips (1.72 KB, patch)
2013-09-09 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips [v3.10/v3.12] (1.45 KB, patch)
2013-09-09 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-08-14 18:25:48 UTC
Hold slips aren't printing automatically with JS Print Setup because it appears the system preference IntranetSlipPrint is never being passed to the template.
Comment 1 Kyle M Hall 2013-08-14 18:28:33 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-08-14 18:37:09 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-14 18:38:47 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-08-23 14:12:44 UTC
One patch is labeled "[v3.10/v3.12]" and the other is unlabeled. What's the difference?
Comment 5 Kyle M Hall 2013-08-28 13:29:00 UTC
The unlabeled one is for master, the other applies to 3.10.x and 3.12.x

(In reply to Owen Leonard from comment #4)
> One patch is labeled "[v3.10/v3.12]" and the other is unlabeled. What's the
> difference?
Comment 6 Owen Leonard 2013-08-28 13:40:10 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2013-08-28 13:44:12 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-09-09 11:58:12 UTC
Created attachment 20907 [details] [review]
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips

Hold slips aren't printing automatically with JS Print Setup because it
appears the system preference IntranetSlipPrint is never being passed to
the template.

Test Plan:
1) Set up JSPrintSetup
   http://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently
2) Place a hold
3) Check the item in to capture the hold
4) Click "Print and confirm"
5) Note the slip does not print automatically
6) Apply this patch
7) Repeat steps 2 through 4
8) Observe that the slip now prints automatically

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jonathan Druart 2013-09-09 11:58:18 UTC
Created attachment 20908 [details] [review]
Bug 10731 - IntranetSlipPrinterJS is not working for hold slips [v3.10/v3.12]

Hold slips aren't printing automatically with JS Print Setup because it
appears the system preference IntranetSlipPrint is never being passed to
the template.

Test Plan:
1) Set up JSPrintSetup
   http://wiki.koha-community.org/wiki/Setting_up_slip_printer_to_print_silently
2) Place a hold
3) Check the item in to capture the hold
4) Click "Print and confirm"
5) Note the slip does not print automatically
6) Apply this patch
7) Repeat steps 2 through 4
8) Observe that the slip now prints automatically

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Tested successfully in 3.10.x and 3.12.x

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Galen Charlton 2013-09-18 16:12:35 UTC
Pushed to master.  Thanks, Kyle!
Comment 11 Tomás Cohen Arazi 2013-11-11 15:13:40 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Kyle!